<?php
namespace AsalaeCore\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * TransfersFixture
 */
class TransfersFixture extends TestFixture
{
    /**
     * Init method
     *
     * @return void
     */
    public function init(): void
    {
        $this->records = [
            [// id=1
                'transfer_comment' => 'seda1.0',
                'transfer_date' => '2021-12-09T15:06:00',
                'transfer_identifier' => 'seda1.0',
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 5,
                'message_version' => 'seda1.0',
                'state' => 'accepted',
                'state_history' => '[{"date":"2021-12-09T15:07:10.390266+0100","state":"preparating"},{"date":"2021-12-09T15:11:48.494710+0100","state":"analysing"},{"date":"2021-12-09T15:11:48.638391+0100","state":"controlling"},{"date":"2021-12-09T15:11:49.274446+0100","state":"validating"},{"date":"2021-12-09T15:15:26.539094+0100","state":"archiving"},{"date":"2021-12-09T15:20:35.456825+0100","state":"accepted"}]',
                'last_state_update' => '2021-12-09T15:20:35',
                'is_conform' => true,
                'is_modified' => false,
                'is_accepted' => true,
                'agreement_id' => null,
                'profile_id' => null,
                'filename' => 'transfer-61b20d8ded833.xml',
                'data_size' => 554297,
                'created_user_id' => 1,
                'created' => '2021-12-09T15:07:10',
                'modified' => '2021-12-09T15:20:35',
                'service_level_id' => null,
                'files_deleted' => false,
                'data_count' => 1,
                'hidden' => false,
            ],
            [// id=2
                'transfer_comment' => 'seda1.0 non conforme',
                'transfer_date' => '2021-12-09T15:06:00',
                'transfer_identifier' => 'sa_AT_1',
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 5,
                'message_version' => 'seda1.0',
                'state' => 'rejected',
                'state_history' => '[{"date":"2021-12-09T15:10:55.656539+0100","state":"preparating"},{"date":"2021-12-09T15:11:48.516850+0100","state":"analysing"},{"date":"2021-12-09T15:11:48.746746+0100","state":"controlling"},{"date":"2021-12-09T15:11:49.693012+0100","state":"validating"},{"date":"2021-12-09T15:26:18.604966+0100","state":"rejected"}]',
                'last_state_update' => '2021-12-09T15:26:18',
                'is_conform' => false,
                'is_modified' => false,
                'is_accepted' => false,
                'agreement_id' => null,
                'profile_id' => null,
                'filename' => 'transfer-61b20e6f5a2b4.xml',
                'data_size' => 0,
                'created_user_id' => 1,
                'created' => '2021-12-09T15:10:55',
                'modified' => '2021-12-09T15:26:18',
                'service_level_id' => null,
                'files_deleted' => false,
                'data_count' => 0,
                'hidden' => false,
            ],
            [// id=3
                'transfer_comment' => 'seda2.1',
                'transfer_date' => '2021-12-09T15:26:00',
                'transfer_identifier' => 'sa_AT_2',
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 5,
                'message_version' => 'seda2.1',
                'state' => 'accepted',
                'state_history' => '[{"date":"2021-12-09T15:27:20.763842+0100","state":"preparating"},{"date":"2021-12-09T15:30:26.452364+0100","state":"analysing"},{"date":"2021-12-09T15:30:26.473543+0100","state":"controlling"},{"date":"2021-12-09T15:30:26.591699+0100","state":"archiving"},{"date":"2021-12-09T15:30:29.710811+0100","state":"accepted"}]',
                'last_state_update' => '2021-12-09T15:30:29',
                'is_conform' => true,
                'is_modified' => false,
                'is_accepted' => true,
                'agreement_id' => 2,
                'profile_id' => 1,
                'filename' => 'transfer-61b2124888ab2.xml',
                'data_size' => 5,
                'created_user_id' => 1,
                'created' => '2021-12-09T15:27:20',
                'modified' => '2021-12-09T15:30:29',
                'service_level_id' => 1,
                'files_deleted' => false,
                'data_count' => 1,
                'hidden' => false,
            ],
            [// id=4
                'transfer_comment' => 'seda2.1 (copie de sa_AT_2)',
                'transfer_date' => '2021-12-09T15:26:00',
                'transfer_identifier' => 'sa_AT_3',
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 5,
                'message_version' => 'seda2.1',
                'state' => 'accepted',
                'state_history' => '[{"date":"2021-12-09T15:39:03.133987+0100","state":"preparating"},{"date":"2021-12-09T16:21:17.484993+0100","state":"analysing"},{"date":"2021-12-09T16:21:17.506889+0100","state":"controlling"},{"date":"2021-12-09T16:21:17.583131+0100","state":"archiving"},{"date":"2021-12-09T16:21:19.177625+0100","state":"accepted"}]',
                'last_state_update' => '2021-12-09T16:21:19',
                'is_conform' => true,
                'is_modified' => false,
                'is_accepted' => true,
                'agreement_id' => 2,
                'profile_id' => 1,
                'filename' => 'transfer-61b21506e59dc.xml',
                'data_size' => 5,
                'created_user_id' => 1,
                'created' => '2021-12-09T15:39:03',
                'modified' => '2021-12-09T16:21:19',
                'service_level_id' => 1,
                'files_deleted' => false,
                'data_count' => 1,
                'hidden' => false,
            ],
            [// id=5
                'transfer_comment' => 'seda2.1 (copie de sa_AT_2)',
                'transfer_date' => '2021-12-09T15:26:00',
                'transfer_identifier' => 'sa_AT_4',
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 5,
                'message_version' => 'seda2.1',
                'state' => 'accepted',
                'state_history' => '[{"date":"2021-12-09T16:56:00.600199+0100","state":"preparating"},{"date":"2021-12-09T16:56:17.978389+0100","state":"analysing"},{"date":"2021-12-09T16:56:17.990893+0100","state":"controlling"},{"date":"2021-12-09T16:56:18.033377+0100","state":"archiving"},{"date":"2021-12-09T16:56:19.356116+0100","state":"accepted"}]',
                'last_state_update' => '2021-12-09T16:56:19',
                'is_conform' => true,
                'is_modified' => false,
                'is_accepted' => true,
                'agreement_id' => 2,
                'profile_id' => 1,
                'filename' => 'transfer-61b227107a4bd.xml',
                'data_size' => 5,
                'created_user_id' => 1,
                'created' => '2021-12-09T16:56:00',
                'modified' => '2021-12-09T16:56:19',
                'service_level_id' => 1,
                'files_deleted' => false,
                'data_count' => 1,
                'hidden' => false,
            ],
            [// id=6
                'transfer_comment' => 'seda2.1 (copie de sa_AT_2)',
                'transfer_date' => '2021-12-09T15:26:00',
                'transfer_identifier' => 'sa_AT_5',
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 5,
                'message_version' => 'seda2.1',
                'state' => 'accepted',
                'state_history' => '[{"date":"2021-12-09T17:18:48.164729+0100","state":"preparating"},{"date":"2021-12-09T17:19:04.885346+0100","state":"analysing"},{"date":"2021-12-09T17:19:04.899186+0100","state":"controlling"},{"date":"2021-12-09T17:19:04.940978+0100","state":"archiving"},{"date":"2021-12-09T17:19:06.293411+0100","state":"accepted"}]',
                'last_state_update' => '2021-12-09T17:19:06',
                'is_conform' => true,
                'is_modified' => false,
                'is_accepted' => true,
                'agreement_id' => 2,
                'profile_id' => 1,
                'filename' => 'transfer-61b22c680ba85.xml',
                'data_size' => 5,
                'created_user_id' => 1,
                'created' => '2021-12-09T17:18:48',
                'modified' => '2021-12-09T17:19:06',
                'service_level_id' => 1,
                'files_deleted' => false,
                'data_count' => 1,
                'hidden' => false,
            ],
            [// id=7
                'transfer_comment' => 'Transferts de l\'archive sa_5',
                'transfer_date' => '2021-12-09T17:30:52',
                'transfer_identifier' => 'sa_OAT_1',
                'archival_agency_id' => 3,
                'transferring_agency_id' => 3,
                'originating_agency_id' => 3,
                'message_version' => 'seda2.1',
                'state' => 'validating',
                'state_history' => '[{"date":"2021-12-09T17:30:55.000538+0100","state":"preparating"},{"date":"2021-12-09T17:30:55.099400+0100","state":"analysing"},{"date":"2021-12-09T17:30:56.134074+0100","state":"controlling"},{"date":"2021-12-09T17:30:56.203720+0100","state":"validating"}]',
                'last_state_update' => '2021-12-09T17:30:56',
                'is_conform' => false,
                'is_modified' => false,
                'is_accepted' => null,
                'agreement_id' => 3,
                'profile_id' => 2,
                'filename' => 'sa_OAT_1.xml',
                'data_size' => 5,
                'created_user_id' => 4,
                'created' => '2021-12-09T17:30:55',
                'modified' => '2021-12-09T17:30:56',
                'service_level_id' => null,
                'files_deleted' => false,
                'data_count' => 1,
                'hidden' => false,
            ],
            [// id=8
                'transfer_comment' => 'Transfert aléatoire atr_alea_70f90eacdb2d3b53ad7e87f808a82430',
                'transfer_date' => '2018-10-19T10:11:47',
                'transfer_identifier' => 'atr_alea_70f90eacdb2d3b53ad7e87f808a82430',
                'archival_agency_id' => 2,
                'transferring_agency_id' => 2,
                'originating_agency_id' => 5,
                'message_version' => 'seda0.2',
                'state' => 'validating',
                'state_history' => '[{"date":"2021-12-10T09:26:23.120375+0100","state":"preparating"},{"date":"2021-12-10T09:27:50.566878+0100","state":"analysing"},{"date":"2021-12-10T09:28:21.312266+0100","state":"controlling"},{"date":"2021-12-10T09:28:21.499212+0100","state":"validating"}]',
                'last_state_update' => '2021-12-10T09:28:21',
                'is_conform' => true,
                'is_modified' => false,
                'is_accepted' => null,
                'agreement_id' => 2,
                'profile_id' => 1,
                'filename' => 'sample_seda02.xml',
                'data_size' => 18650,
                'created_user_id' => 1,
                'created' => '2021-12-10T09:26:23',
                'modified' => '2021-12-10T09:28:21',
                'service_level_id' => 1,
                'files_deleted' => false,
                'data_count' => 3,
                'hidden' => false,
            ],
        ];
        parent::init();
    }
}
